Feature: FR-08 Property Advertisement Creation

    Scenario: Authenticated user should be able to create a property advertisement
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        Given I want to insert the following data
            | title     | description     | type      | property_type | location       | room_count | area | floor | floor_count | price |
            | Apartment | Small apartment | rent      | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
        And I am logged in
        And I want to create a new property advertisement
        And I fill in the property advertisement form with valid data
        When I click submit
        Then I should see a success message
        And I should be redirected to the property advertisement page

    Scenario: Authenticated user should be shown an error if the property advertisement form is filled incorrectly
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        Given I want to insert the following data
            | title     | description     | type      | property_type | location       | room_count | area | floor | floor_count | price |
            | Apartment | Small apartment | rent      | apartment     | Tartu, Estonia | 1          | 13   | 2     | 4           | 430   |
        And I am logged in
        And I want to create a new property advertisement
        And I fill in the property advertisement form with invalid data
        When I click submit
        Then I should see error messages
        And I should still see the new property advertisement form

    Scenario: Unauthenticated user should not be able to create an advertisement
        Given I am not logged in
        And I would like to create a new property advertisement
        Then I should not see a link to create a new property advertisement
        And I should be redirected back to home page when I try to access the link
