defmodule WhiteBreadConfig do
  use WhiteBread.SuiteConfiguration

  suite name:          "FR-01 User Registration Features",
        context:       UserRegistrationContext,
        feature_paths: ["features/user_registration.feature"]

  suite name:          "FR-02 User Login Features",
        context:       UserLoginContext,
        feature_paths: ["features/user_login.feature"]

  suite name:          "FR-03 User Logout Features",
        context:       UserLogoutContext,
        feature_paths: ["features/user_logout.feature"]

  suite name:          "FR-04 Password Change Features",
        context:       PasswordChangeContext,
        feature_paths: ["features/password_change.feature"]

  suite name:          "FR-30 User Profile Features",
        context:       UserProfileContext,
        feature_paths: ["features/user_profile.feature"]

  suite name:          "FR-08 Property Advertisement Creation Features",
        context:       AdvertisementCreationContext,
        feature_paths: ["features/advertisement_creation.feature"]

  suite name:          "FR-07 Property Advertisement List Features",
        context:       AdvertisementListContext,
        feature_paths: ["features/advertisement_list.feature"]

end
