defmodule PropTrackrWeb.ProfileController do
  use PropTrackrWeb, :controller

  import PropTrackr.Authentication
  alias PropTrackr.Repo
  alias PropTrackr.Accounts.User

  def index(conn, _params) do
    user_id = get_session(conn, :user_id)
    if user_id == nil do
      conn
      |> put_flash(:error, "You are not logged in!")
      |> redirect(to: ~p"/login")
    else
      user = Repo.get(User, user_id)
      render(conn, "index.html", user: user)
    end
  end
end
